Bug 703232 - ser2net not enabled after F14->F15 upgrade
ser2net not enabled after F14->F15 upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ser2net (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
RejectedNTH https://fedoraproject.org...
: CommonBugs, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-09 13:14 EDT by James Laska
Modified: 2013-09-02 02:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: ser2net-2.7-4.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:24:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2011-05-09 13:14:20 EDT
As the  states, ser2net is enabled and starts on boot in Fedora 14.  After upgrading to Fedora 15, ser2net is no longer enabled by default, and does not start on boot.  \n\nWhile the workaround is straight forward, I am proposing this as a NTH fix for F15 since this will likely impact F14->F15 users, and it's not obvious that the service isn't running.
Comment 1 Tom "spot" Callaway 2011-05-09 13:22:38 EDT
I'm not convinced there are very many ser2net users, but it is also noteworthy that ser2net is not enabled by default on Fedora 14.

From the ser2net sysv initscript:

# chkconfig: - 95 20

Which means... it is not started by default on any runlevel. So, this is NOTABUG.
Comment 2 James Laska 2011-05-09 13:27:21 EDT
You may be right, but this is still broken and won't properly upgrade for people who do have it installed.  An updated package that resolves this issue is available for testing at https://admin.fedoraproject.org/updates/ser2net-2.7-4.fc15

I'd like to take that for F15.
Comment 3 Adam Williamson 2011-05-09 15:20:38 EDT
not on the DVD, so nothing to be gained by making this NTH. -1



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 James Laska 2011-05-09 16:51:47 EDT
(In reply to comment #3)
> not on the DVD, so nothing to be gained by making this NTH. -1

Good catch, marking this as RejectedNTH
Comment 5 Adam Williamson 2011-05-10 14:57:50 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 James Laska 2011-05-24 09:26:12 EDT
I documented this issue as a CommonBug.  Please feel free to adjust/patch as needed.

https://fedoraproject.org/wiki/Common_F15_bugs#upgrade-disabled-services
Comment 7 Fedora End Of Life 2012-08-07 16:24:05 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.